org.eclnt.jsfserver.util

## Class InitEclntJsfServer

- java.lang.Object
- - org.eclnt.jsfserver.util.InitEclntJsfServer

-     public class InitEclntJsfServer
      extends java.lang.Object

  This class inits the runtime environment of the JSF server part of Enterprise Client. It is called from @link `ThreadingFilter`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `s_loggingDelegationProcessed`
    `static java.util.logging.Level` | `s_logLevelMissingPropertyGet`
    `static boolean` | `s_logSLF4JRemoveHandlersForRootLogger`
    `static boolean` | `s_logStacktraceMissingPropertyGet`
    `static boolean` | `s_logUseSLF4JBridge`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitEclntJsfServer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getLogDirectory()`
    `static boolean` | `getLogOutputClassMethod()`
    `static void` | `init(ServletContext servletContext)`
    `static void` | `initLogging(ServletContext servletContext)`
    `static void` | `initLoggingDelegation(ServletContext servletContext)` Delegation required hot deployment to be activated!
    `static java.lang.String` | `updateDirectoryName(java.lang.String directory, ServletContext servletContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### s_logLevelMissingPropertyGet

          public static java.util.logging.Level s_logLevelMissingPropertyGet

    - #### s_logStacktraceMissingPropertyGet

          public static boolean s_logStacktraceMissingPropertyGet

    - #### s_logUseSLF4JBridge

          public static boolean s_logUseSLF4JBridge

    - #### s_logSLF4JRemoveHandlersForRootLogger

          public static boolean s_logSLF4JRemoveHandlersForRootLogger

    - #### s_loggingDelegationProcessed

          public static boolean s_loggingDelegationProcessed

  - ### Constructor Detail

    - #### InitEclntJsfServer

          public InitEclntJsfServer()

  - ### Method Detail

    - #### getLogOutputClassMethod

          public static boolean getLogOutputClassMethod()

    - #### getLogDirectory

          public static java.lang.String getLogDirectory()

    - #### init

          public static void init(ServletContext servletContext)

    - #### initLogging

          public static void initLogging(ServletContext servletContext)

    - #### initLoggingDelegation

          public static void initLoggingDelegation(ServletContext servletContext)

      Delegation required hot deployment to be activated!

    - #### updateDirectoryName

          public static java.lang.String updateDirectoryName(java.lang.String directory,
                                                             ServletContext servletContext)

Copyright © CaptainCasa Gmbh. All Rights Reserved.